# Interface MapExtensionEvents

Events emitted by the mapping/MapExtension!MapExtension class.

interface MapExtensionEvents {
initializeWarning: InitializeWarningEvent;
layer-definition-expression-change: Layer | SublayerLike;
layer-visibility-change: Layer | SublayerLike;
}

#### Hierarchy (view full)

- InitializableBaseEvents
  - MapExtensionEvents

#####
Index

### Properties

initializeWarning
layer-definition-expression-change
layer-visibility-change

##
Properties

### initializeWarning

initializeWarning: InitializeWarningEvent

Fires when a setting is changed, either locally or by a parent settings instance. The event object contains the name of the setting that changed.

Inherited from InitializableBaseEvents.initializeWarning

### layer-definition-expression-change

layer-definition-expression-change: Layer | SublayerLike

Emitted when the a layer or sublayer in the map has its definition expression changed. The event object will contain a reference to the layer or sublayer that triggered the change.

### layer-visibility-change

layer-visibility-change: Layer | SublayerLike

Emitted when the visibility of a layer or sublayer in the map changes. The event object will contain a reference to the layer or sublayer that triggered the change.